#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Interface to several low-level networking routines
Summary(pl.UTF-8):	Interfejs do niektórych niskopoziomowych funkcji sieciowych
Name:		libdnet
Version:	1.12
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://code.google.com/p/libdnet/downloads/list
Source0:	https://libdnet.googlecode.com/files/%{name}-%{version}.tgz
# Source0-md5:	9253ef6de1b5e28e9c9a62b882e44cc9
Patch0:		%{name}-python.patch
Patch1:		%{name}-vlan.patch
Patch2:		%{name}-ip6.patch
URL:		https://code.google.com/p/libdnet/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python-Pyrex
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdnet provides a simplified, portable interface to several low-level
networking routines, including:
* network address manipulation
* kernel arp cache and route table lookup and manipulation
* network firewalling (IP filter, ipfw, ipchains, pf, ...)
* network interface lookup and manipulation
* raw IP packet and Ethernet frame transmission

%description -l pl.UTF-8
libdnet zapewnia uproszczony, przenośny interfejs do niektórych
niskopoziomowych funkcji sieciowych, włączając w to:
* manipulację adresami sieciowymi
* przeglądanie i modyfikację pamięci podręcznej ARP oraz tablic
  routingu
* firewalling (IP filter, ipfw, ipchains, pf, ...)
* wysyłanie ,,surowych'' pakietów IP i ramek Ethernetowych

%package devel
Summary:	Header files for libdnet
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdnet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdnet.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdnet.

%package static
Summary:	libdnet static library
Summary(pl.UTF-8):	Statyczna biblioteka libdnet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libdnet static library.

%description static -l pl.UTF-8
Statyczna biblioteka libdnet.

%package progs
Summary:	Sample applications to use with libdnet
Summary(pl.UTF-8):	Przykładowe aplikacje do wykorzystania libdnet
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description progs
Sample applications to use with libdnet.

%description progs -l pl.UTF-8
Przykładowe aplikacje do wykorzystania libdnet.

%package -n python-libdnet
Summary:	libdnet Python module
Summary(pl.UTF-8):	Moduł libdnet dla Pythona
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-libdnet
libdnet Python module.

%description -n python-libdnet -l pl.UTF-8
Moduł libdnet dla Pythona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# invalid lvalues, force regeneration from .pyx
%{__rm} python/dnet.c

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-python \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README THANKS TODO
%attr(755,root,root) %{_libdir}/libdnet.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdnet.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dnet-config
%attr(755,root,root) %{_libdir}/libdnet.so
%{_libdir}/libdnet.la
%{_includedir}/dnet
%{_includedir}/dnet.h
%{_mandir}/man3/dnet.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdnet.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/dnet
%{_mandir}/man8/dnet.8*

%files -n python-libdnet
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/dnet.so
%{py_sitedir}/dnet-%{version}-py*.egg-info
%changelog
* Tue Feb 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdnet.git;a=log;h=master

* Tue Feb 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 4933666
- new URLs, updated to 1.12

* Sun Mar 18 2012 Adam Osuchowski <adwol@pld-linux.org> 7e38313
- typo

* Sat Dec 03 2011 Adam Osuchowski <adwol@pld-linux.org> 30804fc
- added support for 802.1Q tagging (vlans) and IPv6
- release 6

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4242628
- release 5

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b2c355d
- release 4

* Sun Nov 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> dd495cf
- release 3

* Sun Nov 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 21b1bfb
- fix build (type name is internal python type)

* Sun Oct 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bc5352
- release 2

* Fri Mar 21 2008 Jakub Bogusz <qboosh@pld-linux.org> 33985b0
- removed outdated ac,am patches
- added python patch, rebuild dnet.c using new Pyrex to fix build with recent gcc
- general cleanup, more docs, release 1

* Fri Mar 21 2008 Jakub Bogusz <qboosh@pld-linux.org> f0b3f41
- kill incorrect errno declaration

* Fri Mar 21 2008 Jakub Bogusz <qboosh@pld-linux.org> 3a9c285
- outdated

* Thu Mar 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 65723c5
- python deps, unified caps

* Fri Mar 09 2007 heretyk <heretyk@pld-linux.org> 8b2ccf7
- up to 1.11
- build python module

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9784c18
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a84a902
- converted to UTF-8

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 9a9d8aa
- added header "Conditional build:"

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> a52e5b9
- added bcond_without static_libs

* Sat Jun 05 2004 Jakub Bogusz <qboosh@pld-linux.org> 8dbe1ea
- updated to 1.8, updated am patch, added ac patch, removed obsolete lt patch

* Sat Jun 05 2004 Jakub Bogusz <qboosh@pld-linux.org> b8499d0
- fix LIBOBJS issue

* Sat Jun 05 2004 Jakub Bogusz <qboosh@pld-linux.org> dc0b82f
- updated for 1.8

